<?
	$this->headLink()->appendStylesheet(_st('follow.css'));
	$this->headScript()->appendFile(_st('follow.js'), 'text/javascript');
	
	$this->headScript()->appendFile('https://www.google.com/recaptcha/api/js/recaptcha_ajax.js', 'text/javascript');

	$this->DEFINITIONS = Zend_Registry::get('defines');
	$this->conf = Zend_Registry::get('escorts_config');
	$this->contacts = $this->escort->getContacts();
	$this->about = $this->escort->getAbout();
	
	$this->disabled_rev = (isset($this->escort->disabled_reviews) &&  $this->escort->disabled_reviews == 1) ? true : false;
	$this->disabled_comm = (isset($this->escort->disabled_comments) &&  $this->escort->disabled_comments == 1) ? true : false;

	$this->current_user = Model_Users::getCurrent();
	
	$this->setcard_info = $this->escort->getSetcardInfo();
	
	$this->profile_disabled = false;
	if ( isset($this->escort->escort_status) && $this->escort->escort_status != 32 ){
		$this->profile_disabled = true;
	}
	
	$this->langs = $this->escort->getLangs();
	
	$this->services = ( $this->is_preview ) ? $this->escort->getServicesForPreview() : $this->escort->getServices();
	$this->rates = ( $this->is_preview ) ? $this->escort->getRates() : $this->escort->getHHRates();
	
	$this->hh_info = $this->escort->getHHRatesInfo();
	
	$this->work_times = $this->escort->getWorkTimes();
	
	if ( $this->escort->agency_id ) {
		$this->agency_contacts = ( $this->is_preview ) ? $this->escort->getAgencyContactsForPreview() : $this->escort->getAgencyContacts();
	}
	$this->esc_contacts = ( $this->is_preview ) ? $this->escort->getEscortContactsForPreview() : $this->escort->getEscortContacts();
	
	/*if ( strlen($this->escort->agency_id) ) {
		$this->online_status = Model_Users::isOnlineNow(null, $this->escort->agency_id);
	}
	else {
		$this->online_status = Model_Users::isOnlineNow($this->escort->id);
	}*/
	//$this->online_status = Model_Users::isOnlineNow($this->escort_user_id, $this->escort->id);
	
	//////////////////////////////////////////////////////////////////////////////////////////////
	$this->online_status = 0;
	
	if ($this->allowChat())
		$this->online_status = Model_Users::isOnlineNow($this->escort_user_id, $this->escort->id);
	elseif ($this->allowChat2())
	{
		//$user_ids = file_get_contents(Cubix_Application::getById()->url . '/node-chat/get-online-escorts');
		$cache_native = Zend_Registry::get('cache_native');
		$user_ids = $cache_native->get(Cubix_Application::getId() . '_chat_online_escorts');
		$user_ids = json_decode($user_ids);

		if (in_array($this->escort_user_id, $user_ids)/* && $this->has_package*/)
			$this->online_status = 1;
	}
	//////////////////////////////////////////////////////////////////////////////////////////////////
	
	$additional_cities = $this->escort->getAdditionalCities($this->contacts->base_city_id);
	$add_cts = array();
	foreach ($additional_cities as $a_c)
		$add_cts[] = $a_c->city_id;
	$extra_cities = $this->escort->getExtraCities($this->contacts->base_city_id, $add_cts);
	$this->additional_cities = array_merge($additional_cities, $extra_cities);
	
	$this->zones = $this->escort->getCityzones();
	
	$this->tours = $this->escort->getCitytours();

	global $VIEW;
	$VIEW = $this;
	function print_row($label_id, $value, $th_width = null, $is_bold = true) 
	{
		global $VIEW;

		if ( ! $value ) {
			return '';
		}

		$bold_class = '';
		if ( ! $is_bold ) {
			$bold_class = 'class="no_bold"';
		}

		return '<tr><th ' . (($th_width) ? 'style="width:' . $th_width . 'px"' : '') . '>' . $VIEW->t($label_id) . ':</th><td ' . $bold_class . '>' . $value . '</td></tr>';
	}
	
	function getDaysInBetween($start, $end) {
		$day = 86400; // Day in seconds
		$format = 'Y-m-d'; // Output format (see PHP date funciton)
		$sTime = /*strtotime(*/$start/*)*/; // Start as time
		$eTime = /*strtotime(*/$end/*)*/; // End as time
		$numDays = round(($eTime - $sTime) / $day);
		$days = array();

		// Return days
		return abs($numDays);
	}
	
	$params = array('city' => $this->contacts->country_iso . '_' . $this->contacts->city_slug);
	
	$site_path_city = $this->contacts->{'base_city_' . $this->lang()};
	$site_path_link = $this->getLink('escorts', $params);
	
	$seo_params = array(
		'showname' => $this->about->showname,
		'city' => $this->contacts->{'base_city_' . $this->lang()},
		'region' => $this->contacts->{'region_title_' . $this->lang()},
	);

	$seo = $this->seo('escort', $this->escort->id, $seo_params);
	
	$this->profile_disabled = ( isset($this->escort->escort_status) && $this->escort->escort_status != 32 );
	$this->has_package = $this->escort->hasProduct(1);
	
	Model_EscortsV2::hit($this->escort->id);
?>


<script type="text/javascript">
	
	var profileVars = {
		showname	: '<?= $this->escort->showname ?>',
		escortId	: '<?= $this->escort->id ?>',
		lang		: '<?= $this->lang() ?>',
		defLang		: '<?= Cubix_Application::getDefaultLang() ?>',
		currentUser	: <?= json_encode($this->current_user) ?>,
		packageQueue : <?= json_encode($package_queue) ?>,
		chatUrl		: '<?= 'http://chat.and6.ch/chat7/chat.php?hash=' . session_id() ?>',
		reviewsUrl	: '<?= $this->getLink('escort-reviews', array('showname' => $this->escort->showname, 'escort_id' => $this->escort->id)) ?>',
		disableReview : <?= json_encode($this->disabled_rev) ?>
	};
	
	window.Escort = { showname: profileVars.showname, escort_id: profileVars.escortId };
	window.is_preview = '<?= $this->is_preview ?>';
	
</script>

<input type="hidden" id="escort_id" value="<?= $this->escort->id ?>" />

<div class="top-wrap">

	<? if ( $this->show_advertise_block && $this->is_preview ): ?>
	<div class="profile-overlay profile-overlay-bg-<?= $this->lang() ?>"></div> 
	<? endif; ?>	
	
	<div id="left">
		<? /*  Photos Block  */ ?>
		<?= $this->render('escorts/profile-v2/gallery.phtml') ?>
	</div>

	<div id="right">

		<? /*  Profile Info Block  */ ?>
		<?= $this->render('escorts/profile-v2/profile-info.phtml') ?>

		<? /*  All Tabs Block  */ ?>
		<?= $this->render('escorts/profile-v2/tabs.phtml') ?>

		<div id="profile-container">

			<? /*  Bio Block  */ ?>
			<?= $this->render('escorts/profile-v2/bio.phtml') ?>

			<? /*  Services Block  */ ?>
			<?= $this->render('escorts/profile-v2/services.phtml') ?>

			<? if ( $this->conf['profile']['rates'] && count($this->rates) > 0 && ! $this->hh_info->hh_is_active ): ?>
				<? /*  Rates Block  */ ?>
				<?= $this->render('escorts/profile-v2/rates.phtml') ?>
			<? elseif( $this->hh_info->hh_is_active && ! $this->profile_disabled && $this->has_package ): ?>
				<? /*  HH Block  */ ?>
				<?= $this->render('escorts/profile-v2/happy-hours.phtml') ?>
			<? endif; ?>
				
			<? /*  Tours Block  */ ?>
			<? if ( ! $this->profile_disabled && $this->has_package ): ?>
				<?= $this->render('escorts/profile-v2/tours.phtml') ?>
			<? endif; ?>

			<? /*  Contacts Block  */ ?>
			<? if ( ! $this->profile_disabled && $this->has_package ): ?>
				<?= $this->render('escorts/profile-v2/contacts.phtml') ?>
			<? endif; ?>

			<? if ( ! $this->disabled_rev || ! $this->disabled_comm ): ?>
			<? /*  Comments Block  */ ?>
			<?= $this->render('escorts/profile-v2/comments.phtml') ?>
			<? endif; ?>
			
			<? if ($this->escort->bad_photo_history): ?>
				<div style="text-align: center; margin-top: 30px;"><img src="/img/bad_photos_<?= $this->lang() ?>.png" /></div>
			<? endif; ?>
			
			<div class="margin1000">&nbsp;</div>
			<div class="clear"></div>

		</div><? /*  profile-container  */ ?>

		<div class="clear"></div>
	</div><? /*  right  */ ?>

	<div class="clear"></div>

</div><? /*  Top Wrapper  */ ?>

<? if ( $this->show_advertise_block && $this->is_preview ): ?>
<div class="clear"></div>
<div class="adv-block-wrapper">
	<?= $this->render('private/profile/advertise-block.phtml') ?>
</div>	
<? endif; ?>

<? /*  Info Bar Block  */ ?>
<?= $this->render('escorts/profile-v2/info-bar.phtml') ?>

<?

	if ( $seo ) {
		if ( strlen($seo->title) ) {
			$this->headTitle($seo->title, 'PREPEND');
		}

		if ( strlen($seo->keywords) ) {
			$this->headMeta()->appendName('keywords', $seo->keywords);
		}

		if ( strlen($seo->description) ) {
			$this->headMeta()->appendName('description', $seo->description);
		}

		if ( strlen($seo->footer_text) ) {
			if ( ! $this->about->{'about_' . $this->lang()} ) {
				$this->about->{'about_' . $this->lang()} = $seo->footer_text;
			}
		}
	}

	if ($this->escort->gender == GENDER_MALE)
		$this->sitePath()->append($this->t('escort_boys_in_city', array('CITY' => $site_path_city)), $site_path_link);
	elseif ($this->escort->gender == GENDER_TRANS)
		$this->sitePath()->append($this->t('escort_trans_in_city', array('CITY' => $site_path_city)), $site_path_link);
	else
		$this->sitePath()->append($this->t('escort_girls_in_city', array('CITY' => $site_path_city)), $site_path_link);
	$this->sitePath()->append($this->about->showname, $this->getLink('profile', array('showname' => $this->about->showname, 'escort_id' => $this->escort->id)));
?>